
# Dadou - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif


%define lib_name_orig %mklibname kdepim_kroupware
%define lib_major 2
%define lib_name %lib_name_orig%lib_major

Name: 		kdepim_kroupware
Icon: 		kde-icon.xpm
Summary: 	K Desktop Environment - Person Information Management
Version:    1.0.1
Release:    1mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://kdepim.kde.org/
Epoch: 		1
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:     kdepim-kroupware-%version.tar.bz2

Patch1:		kdepim-3.0-fix-kpilot-compile.patch.bz2
# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2


Patch5:		kdepim-3.1-fix-compile.patch.bz2



# Laurent - 3.1-rc5-3mdk : fix disable ok button in resource dialogbox
Patch8:		kdepim-3.1-fix-ok-button-in-resource-dialogbox.patch.bz2


Patch9:		kdepim-3.1.1-fix-bug-57465.patch.bz2

BuildRoot: 	%_tmppath/%name-%version-%release-root
Conflicts:	kdepim, kdenetwork

Obsoletes: 	korganizer kpilot kdepim3
Provides:	korganizer kpilot kdepim3

# Who? - When? - Why?
Conflicts:	dynamic <= 0.3-2mdk

Conflicts:	kdeutils =< 2.2.2-28mdk
Conflicts:	kdepim, kdenetwork


%if %buildfor8_2
BuildRequires:	XFree86-devel flex byacc libpilot-link4 pam pilot-link-devel
%endif

%if %buildfor9_0 || %buildfor9_1 || %buildfor9_2
BuildRequires:  XFree86-devel flex byacc pam libpisock8-devel
%endif
%if %buildfor9_1 || %buildfor9_2
BuildRequires:	libmal0-devel >= 0.31-1mdk libncurses5-devel readline-devel
%endif


%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2
BuildRequires: automake1.7
%endif

Requires:	%lib_name = %version-%release


%description
Information Management applications for the K Desktop Environment.
	- kaddressbook: The KDE addressbook application.
	- kandy: sync phone book entries between your cell phone and computer
         ("kandy" comes from "Handy", the german word used for a cellular)
	- korganizer: a calendar-of-events and todo-list manager
	- kpilot: to sync with your PalmPilot
	- kalarm: gui for setting up personal alarm/reminder messages
	- kalarmd: personal alarm/reminder messages daemon, shared by korganizer and
           kalarm.
	- kaplan: A shell for the PIM apps, still experimental.
	- karm: Time tracker.
	- kitchensync: Synchronisation framework, still under heavy development.
	- kfile-plugins: vCard KFIleItem plugin.
	- knotes: yellow notes application
	- konsolecalendar: Command line tool for accessing calendar files.


%package -n %lib_name-devel
Summary:	Devel stuff for kdepim
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release, libqt3-devel


Conflicts:  kdeutils-devel =< 2.2.2-28mdk

%description -n %lib_name-devel
This package contains header files needed if you wish to build applications
based on kdepim.


%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Libraries for %name
PreReq:     libqt3
Requires:   kdelibs-common 
Provides:   %lib_name_orig = 1:%version-%release

%description -n %lib_name
Libraries for the K Desktop Environment.


%prep



%setup  -n kdepim-kroupware-%version
#%patch1 -p1
#%patch5 -p1
%patch8 -p1
%patch9 -p1

%build
%if %buildfor9_1 || %buildfor9_2
#make -f admin/Makefile.common cvs
%endif

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure



%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
				--disable-debug \
%endif
		    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --enable-fast-install \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama 

%make



%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# Dadou - 2.2-0.alpha2.2mdk - Don't strip when we are not in final release

%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot


# Create LMDK menu entries
install -d %buildroot/%_menudir/
# %%_datadir/applnk/Applications/
kdedesktop2mdkmenu.pl kdepim "Office/Time management" %buildroot/%_datadir/applnk/Applications/korganizer.desktop %buildroot/%_menudir/kdepim-korganizer
kdedesktop2mdkmenu.pl kdepim "Office/Time management" %buildroot/%_datadir/applnk/Utilities/More/kalarm.desktop %buildroot/%_menudir/kdepim-kalarm

# %%_datadir/applnk/Utilities
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/kaddressbook.desktop %buildroot/%_menudir/kdepim-kaddressbook
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/kpilot.desktop %buildroot/%_menudir/kdepim-kpilot
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/kpilotdaemon.desktop %buildroot/%_menudir/kdepim-kpilotdaemon kde
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/More/kandy.desktop %buildroot/%_menudir/kdepim-kandy kde
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/More/karm.desktop %buildroot/%_menudir/kdepim-karm kde
kdedesktop2mdkmenu.pl kdepim Office/PDA %buildroot/%_datadir/applnk/Utilities/knotes.desktop %buildroot/%_menudir/kdepim-knotes kde

# %%_datadir/applnk/Settings/System
#kdedesktop2mdkmenu.pl kdepim Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/alarmdaemonctrl.desktop %buildroot/%_menudir/kdepim-alarmdaemonctrl

# Dadou - 2.2-4mdk - To provide an icon to Kandy (see above)
perl -pi -e "s|kandy.png|pda_section.png|" %buildroot/%_menudir/kdepim-kandy
perl -pi -e "s|kandy.png|pda_section.png|" %buildroot/%_datadir/applnk/Utilities/kandy.desktop

# Dadou - 2.2.1-2mdk - Dynamic desktop support - Don't put entry below (in spec)
#                      but use original KDE menu entry or you will desynchronize
#                      translations and arguments
#                      Add it only for Mandrake Linux distribution which support
#                      dynamic desktop entry
install -d -m 0755 %buildroot/%_sysconfdir/dynamic/launchers/visor/
install -m 0644 %buildroot/%_datadir/applnk/Utilities/kpilot.desktop %buildroot/%_sysconfdir/dynamic/launchers/visor/kpilot.desktop



%post
/sbin/ldconfig
%update_menus
update-alternatives --install %_sysconfdir/dynamic/launchers/visor/kde.desktop visor.kde.dynamic %_sysconfdir/dynamic/launchers/visor/kpilot.desktop 30

%postun
/sbin/ldconfig
%clean_menus
if [ $1 = 0 ] ; then
   update-alternatives --remove visor.kde.dynamic %_sysconfdir/dynamic/launchers/visor/kpilot.desktop
fi


%clean
rm -fr %buildroot



%files
%defattr(-,root,root,-)
%dir %_sysconfdir/dynamic/
%dir %_sysconfdir/dynamic/launchers/
%dir %_sysconfdir/dynamic/launchers/visor/
%config(noreplace) %_sysconfdir/dynamic/launchers/visor/kpilot.desktop
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#%dir %_docdir/HTML/en/auto/
#%doc %_docdir/HTML/en/auto/*.docbook
#%doc %_docdir/HTML/en/auto/common
#%doc %_docdir/HTML/en/auto/*.bz2
#%doc %_docdir/HTML/en/auto/*.png
#
#
%dir %_docdir/HTML/en/kandy/
%doc %_docdir/HTML/en/kandy/*.docbook
%doc %_docdir/HTML/en/kandy/common
%doc %_docdir/HTML/en/kandy/*.bz2
#
#
%dir %_docdir/HTML/en/karm/
%doc %_docdir/HTML/en/karm/*.docbook
%doc %_docdir/HTML/en/karm/common
%doc %_docdir/HTML/en/karm/*.bz2
%doc %_docdir/HTML/en/karm/*.png
#
#
%dir %_docdir/HTML/en/knotes/
%doc %_docdir/HTML/en/knotes/*.docbook
%doc %_docdir/HTML/en/knotes/common
%doc %_docdir/HTML/en/knotes/*.bz2
#
#
%dir %_docdir/HTML/en/korganizer/
%doc %_docdir/HTML/en/korganizer/common
%doc %_docdir/HTML/en/korganizer/*.docbook
%doc %_docdir/HTML/en/korganizer/*.png
%doc %_docdir/HTML/en/korganizer/*.bz2
#
#
%dir %_docdir/HTML/en/kpilot/
%doc %_docdir/HTML/en/kpilot/common
%doc %_docdir/HTML/en/kpilot/*.docbook
%doc %_docdir/HTML/en/kpilot/*.png
%doc %_docdir/HTML/en/kpilot/*.bz2
#
%dir %_docdir/HTML/en/kalarm/
%doc %_docdir/HTML/en/kalarm/*.png
%doc %_docdir/HTML/en/kalarm/*.bz2
%doc %_docdir/HTML/en/kalarm/*.docbook
%doc %_docdir/HTML/en/kalarm/common
#
%dir %_docdir/HTML/en/kaddressbook/
%doc %_docdir/HTML/en/kaddressbook/*.bz2
%doc %_docdir/HTML/en/kaddressbook/*.docbook
%doc %_docdir/HTML/en/kaddressbook/common

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kalarmd/
%doc %_docdir/HTML/en/kcontrol/kalarmd/common
%doc %_docdir/HTML/en/kcontrol/kalarmd/*.bz2
%doc %_docdir/HTML/en/kcontrol/kalarmd/*.docbook

#
%_bindir/*
#
#
#
#
%dir %_libdir/kde3/
%_libdir/kde3/*.so*
%_libdir/kde3/*.la
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Applications/
%_datadir/applnk/Applications/*.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*.desktop
#
#
%dir %_datadir/applnk/Utilities/More/
%_datadir/applnk/Utilities/More/*.desktop

%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/*.desktop

#
%dir %_datadir/apps/kalarm/
%dir %_datadir/apps/kalarm/icons/
%dir %_datadir/apps/kalarm/icons/crystalsvg/
%dir %_datadir/apps/kalarm/icons/crystalsvg/16x16/
%dir %_datadir/apps/kalarm/icons/crystalsvg/16x16/actions/
%_datadir/apps/kalarm/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kalarm/icons/crystalsvg/22x22/
%dir %_datadir/apps/kalarm/icons/crystalsvg/22x22/actions/
%_datadir/apps/kalarm/icons/crystalsvg/22x22/actions/*.png

#
#
#
#
%dir %_datadir/apps/kalarmdgui/
%dir %_datadir/apps/kalarmdgui/icons/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/actions/
%_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/actions/*.png
#
#
%dir %_datadir/apps/kandy/
%_datadir/apps/kandy/*.rc
%_datadir/apps/kandy/*.kandy
#
#
%dir %_datadir/apps/karm/
%_datadir/apps/karm/*.rc
#
%dir %_datadir/apps/karm/pics/
%_datadir/apps/karm/pics/*.xpm
#
#
%dir %_datadir/apps/kgantt/
%dir %_datadir/apps/kgantt/icons/
%dir %_datadir/apps/kgantt/icons/crystalsvg/
%dir %_datadir/apps/kgantt/icons/crystalsvg/16x16/
%dir %_datadir/apps/kgantt/icons/crystalsvg/16x16/actions/
%_datadir/apps/kgantt/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kgantt/icons/crystalsvg/22x22/
%dir %_datadir/apps/kgantt/icons/crystalsvg/22x22/actions/
%_datadir/apps/kgantt/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/kgantt/icons/crystalsvg/32x32/
%dir %_datadir/apps/kgantt/icons/crystalsvg/32x32/actions/
%_datadir/apps/kgantt/icons/crystalsvg/32x32/actions/*.png
#
#
%dir %_datadir/apps/knotes/
%_datadir/apps/knotes/*.rc
#
%dir %_datadir/apps/knotes/pics/
%_datadir/apps/knotes/pics/*.png
#
#
%dir %_datadir/apps/korganizer/
#%_datadir/apps/korganizer/holiday*
%_datadir/apps/korganizer/*.rc
%_datadir/apps/korganizer/tips
#
%dir %_datadir/apps/korganizer/icons/
%dir %_datadir/apps/korganizer/icons/crystalsvg/
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/
%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/*.png
#
#%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/checkedbox/
#%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/checkedbox/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/emptybox/
%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/emptybox/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/32x32/
%dir %_datadir/apps/korganizer/icons/crystalsvg/32x32/actions/
%_datadir/apps/korganizer/icons/crystalsvg/32x32/actions/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/16x16/
%dir %_datadir/apps/korganizer/icons/crystalsvg/16x16/actions/
%_datadir/apps/korganizer/icons/crystalsvg/16x16/actions/*.png
#
#%dir %_datadir/apps/korganizer/sounds/
#%_datadir/apps/korganizer/sounds/*.wav
#
#%dir %_datadir/apps/korganizer/plugins/
#%_datadir/apps/korganizer/plugins/*.rc
#
%dir %_datadir/apps/korganizer/pics/
%_datadir/apps/korganizer/pics/*.png
#
%dir %_datadir/apps/kpilot/
%_datadir/apps/kpilot/*.rc
%_datadir/apps/kpilot/*.png
#
%dir %_datadir/apps/kpilot/icons/
%dir %_datadir/apps/kpilot/icons/crystalsvg/
%dir %_datadir/apps/kpilot/icons/crystalsvg/16x16/
%dir %_datadir/apps/kpilot/icons/crystalsvg/16x16/actions/
%_datadir/apps/kpilot/icons/crystalsvg/16x16/actions/*.png
#
#
#
#%config(noreplace) %_datadir/config/korganizerrc
%config(noreplace) %_datadir/config/knotesrc
#
#
#
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png
#
%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/apps/
%_iconsdir/crystalsvg/22x22/apps/*.png
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png
#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
#
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#
#
%dir %_datadir/autostart
%_datadir/autostart/*.desktop
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
%_datadir/services/*.protocol
#

#%dir %_datadir/services/korganizer/
#%_datadir/services/korganizer/*.desktop
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop


%_datadir/applnk/Utilities/More/kalarm.desktop
%_datadir/applnk/Utilities/More/kandy.desktop
%_datadir/applnk/Utilities/More/karm.desktop
%_datadir/applnk/.hidden/kalarmd.desktop

%dir %_datadir/apps/kaddressbook/
%dir %_datadir/apps/kaddressbook/csv-templates/
%_datadir/apps/kaddressbook/csv-templates/*.desktop

%dir %_datadir/apps/kaddressbook/icons/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/16x16/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/16x16/actions/
%_datadir/apps/kaddressbook/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/32x32/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/32x32/actions/
%_datadir/apps/kaddressbook/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kaddressbook/icons/locolor/
%dir %_datadir/apps/kaddressbook/icons/locolor/16x16/
%dir %_datadir/apps/kaddressbook/icons/locolor/16x16/actions/
%_datadir/apps/kaddressbook/icons/locolor/16x16/actions/*.png

%dir %_datadir/apps/kaddressbook/icons/locolor/22x22/
%dir %_datadir/apps/kaddressbook/icons/locolor/22x22/actions/
%_datadir/apps/kaddressbook/icons/locolor/22x22/actions/*.png


%_datadir/apps/kaddressbook/*.rc

%dir %_datadir/apps/kaddressbook/printing/
%_datadir/apps/kaddressbook/printing/*.png

%dir %_datadir/apps/ksync/
%_datadir/apps/ksync/ksyncui.rc

%dir %_datadir/apps/kabc/plugins/
%_datadir/apps/kabc/plugins/*.desktop



%files -n %lib_name
%defattr(-,root,root)
%_libdir/*.la
%_libdir/*.so.*
#



%files -n %lib_name-devel
%defattr(-,root,root)
%_includedir/*.h
#
%_libdir/*.so
#
%dir %_includedir/kgantt/
%_includedir/kgantt/*.h
#
#
%dir %_includedir/kpilot/
%_includedir/kpilot/*.h
#
#
#%dir %_includedir/calendar/
#%_includedir/calendar/*.h
#
#
#%dir %_includedir/korganizer/
#%_includedir/korganizer/*.h


%dir %_includedir/kdepim/
%_includedir/kdepim/*.h


%changelog
* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- Fix package
